### Enumeration

# Cogl SystemError

#### Declaration

    enum Cogl.SystemError

#### Description [src]

Error enumeration for Cogl

The `COGL_SYSTEM_ERROR_UNSUPPORTED` error can be thrown for a variety of reasons. For example:

- You’ve tried to use a feature that is not advertised by `cogl_context_has_feature()`.
- The GPU can not handle the configuration you have requested. An example might be if you try to use too many texture layers in a single `CoglPipeline`
- The driver does not support some configuration.

Currently this is only used by Cogl API marked as experimental so this enum should also be considered experimental.

#### Members

`COGL_SYSTEM_ERROR_UNSUPPORTED`

  You tried to use a feature or configuration not currently available.

  - Value: `0`
  - Available since: 16
`COGL_SYSTEM_ERROR_NO_MEMORY`

  You tried to allocate a resource such as a texture and there wasn’t enough memory.

  - Value: `1`
  - Available since: 16